
QGIS Application - Bug report #5665

rendering order in rule-based style not working with scale ranges 

2012-05-30 06:34 AM - Bernhard Ströbl

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15218

Description

the rendering order in rule based style does not work any more, instead feature rendering is ordered by chance

behaviour can only be observed if rule-based style is combined with scale ranges, if rules do not have scale ranges rendering order works

as it should

Associated revisions

Revision 056300f0 - 2012-05-30 11:49 PM - Martin Dobias

fix #5665 (rendering order not working in rule-based renderer)

History

#1 - 2012-05-30 06:37 AM - Giovanni Manghi

- File estradas.qml added

- File a_estradas_osm_shp.zip added

- Status changed from Open to Feedback

I tested a clip of osm data and the attached style, and it seems to work.

#2 - 2012-05-30 07:16 AM - Bernhard Ströbl

- File roads.zip added

Hi Giovanni,

I checked your example and examined mine (attached). It seems that it does not work if there are gaps between any two layer numbers in rendering order.

I used steps of 10 in order to be able to squeeze another layer in, in case there is need to do so, without rearranging all layers. This used to work in 1.7.4. If

I use sequnetial numbers for the layers it works.

#3 - 2012-05-30 07:20 AM - Giovanni Manghi

Bernhard Ströbl wrote:

Hi Giovanni,

I checked your example and examined mine (attached). It seems that it does not work if there are gaps between any two layer numbers in rendering

order. I used steps of 10 in order to be able to squeeze another layer in, in case there is need to do so, without rearranging all layers. This used to

work in 1.7.4. If I use sequnetial numbers for the layers it works.
if you confirm me that is a regression since 1.7.4 then we have to tag this as "blocker".

#4 - 2012-05-30 10:40 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

#5 - 2012-05-30 02:50 PM - Martin Dobias

- Status changed from Feedback to Closed

Fixed in changeset commit:"056300f00dd3821f2508dafb9d6193e294098c63".

#6 - 2012-05-31 12:17 AM - Bernhard Ströbl

Martin Dobias wrote:

Fixed in changeset commit:"056300f00dd3821f2508dafb9d6193e294098c63".

Martin, great that you looked into this so fast. I am sorry to inform you that the problem persists here. Did you check with the shape file and qml I provided?

#7 - 2012-05-31 12:44 AM - Nathan Woodrow

Seems to work ok for me.  This is what I see at 1:18000, is this correct

http://i.imgur.com/SqXCx.png

#8 - 2012-05-31 01:07 AM - Bernhard Ströbl

Nathan Woodrow wrote:

Seems to work ok for me.  This is what I see at 1:18000, is this correct

http://i.imgur.com/SqXCx.png

Nathan this looks good, the grey streets are supposed to be rendered beneath the yellow ones. At me they are not (QGIS 1.8.0 Codeversion c367a35)How

does it look when you zoom in at say 1:1000?

#9 - 2012-05-31 01:09 AM - Nathan Woodrow

Like this (1:1000):

http://i.imgur.com/2tGBB.png

#10 - 2012-05-31 01:14 AM - Nathan Woodrow
(QGIS 1.8.0 Codeversion c367a35)

There is your problem.  Martin only fixed this last night so you will have to get a new build to test with.  You build is from the 22nd of May

#11 - 2012-05-31 02:30 AM - Bernhard Ströbl

Nathan Woodrow wrote:

(QGIS 1.8.0 Codeversion c367a35)

There is your problem.  Martin only fixed this last night so you will have to get a new build to test with.  You build is from the 22nd of May

Hmm, I made a git pull this morning, compiled and installed into a new directory with no avail, the codeversion stays the same!?

OK got it fixed and can confirm now, ticket is solved.

thanks again

Files

estradas.qml 10.8 KB 2012-05-30 Giovanni Manghi

a_estradas_osm_shp.zip 487 KB 2012-05-30 Giovanni Manghi

roads.zip 11.1 KB 2012-05-30 Bernhard Ströbl
